=== debian/control ===
Source: ros-crystal-nav2-util
Section: misc
Priority: extra
Maintainer: Michael Jeronimo <michael.jeronimo@intel.com>
Build-Depends: debhelper (>= 9.0.0), libsdl-image1.2-dev, libsdl1.2-dev, ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-ament-cmake-pytest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-geometry-msgs, ros-crystal-launch, ros-crystal-launch-testing, ros-crystal-nav-msgs, ros-crystal-nav2-common, ros-crystal-nav2-msgs, ros-crystal-rclcpp, ros-crystal-tf2, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-nav2-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl-image1.2-dev, libsdl1.2-dev, ros-crystal-geometry-msgs, ros-crystal-nav-msgs, ros-crystal-nav2-msgs, ros-crystal-rclcpp, ros-crystal-tf2, ros-crystal-tf2-ros, ros-crystal-ros-workspace
Description: TODO
